Vulnerabilità: CVE-2020-9483

** ** risolto Quando uso H2 / MySQL / TiDB come deposito Apache SkyWalking, la query metadati tramite protocollo GraphQL, c’è una vulnerabilità SQL injection, che permette di accedere dati unpexcted. Apache SkyWalking 6.0.0 a 6.6.0, 7.0.0 implementazioni di storage H2 / MySQL / TiDB non utilizzare il modo appropriato di parametri SQL impostati.


https://github.com/apache/skywalking/pull/4639
https://github.com/apache/skywalking/pull/4639
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-9483


E' possibile lasciare un commento come utenti registrati al sito, accedendo tramite social, account wordpress oppure come utenti anonimi. Nel caso in cui si desideri lasciare un commento come utenti anonimi si verrà avvisati via email di un'eventuale risposta solo se si inserisce l'indirizzo email (facoltativo). L'inserimento di qualsiasi dato nei campi dei commenti è totalmente facoltativo. Chiunque decida di inserire un qualsiasi dato accetta il trattamento di questi ultimi per i fini inerenti al servizio ovvero la risposta al commento e le comunicazioni strettamente necessarie.


Rispondi